@echo off
if "%1"=="a" goto start
if "%1"=="A" goto start
if "%1"=="b" goto start
if "%1"=="B" goto start
echo.
echo This copy process needs 3 blank, formatted high-density disks.
echo.
echo The syntax for copying is:
echo %0 A   - to copy to drive A
echo %0 B   - to copy to drive B
echo.
goto exit
:start
echo.
echo This copy process needs 3 blank, formatted high-density disks.
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 1
xcopy go.exe %1:\
xcopy vgashell.exe %1:\
xcopy sd108.ico %1:\
xcopy *.shl %1:\
xcopy 108*.* %1:\
xcopy warranty.txt %1:\
xcopy newuser.ctx %1:\
xcopy question.ctx %1:\
xcopy usrguide.ctx %1:\
xcopy start.bat %1:\
xcopy math.ico %1:\
xcopy *.bgi %1:\
xcopy *.chr %1:\
xcopy readme.doc %1:\
xcopy ehrdy1.exe %1:\
xcopy payo1.exe %1:\
xcopy ep1z.exe %1:\
xcopy mech.* %1:\
xcopy winston.pcx %1:\
xcopy winnie.pcx %1:\
xcopy crosword.* %1:\
xcopy *.cwd %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Coping files to Disk 2
xcopy go.exe %1:\
xcopy vgashell.exe %1:\
xcopy sd108.ico %1:\
xcopy *.shl %1:\
xcopy 108*.* %1:\
xcopy warranty.txt %1:\
xcopy newuser.ctx %1:\
xcopy question.ctx %1:\
xcopy usrguide.ctx %1:\
xcopy hims*.* %1:\
xcopy *.dat %1:\
xcopy *.k01 %1:\
xcopy items.k02 %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Coping files to Disk 3
xcopy go.exe %1:\
xcopy vgashell.exe %1:\
xcopy *.shl %1:\
xcopy 108pako2.ctx %1:\
xcopy pako2*.* %1:\
echo.
echo Finished copying SDPC VGA #108 to %1:
echo.
:exit

